GetAssistanceData
GET/location/agps
This endpoint has been deprecated and may be replaced or removed in future versions of the API.
Use POST /location/agnss (GNSS GetAssistanceData) instead.
Provides assistance data to the device. Enables a faster time-to-first-fix (TTFF) for the GPS modem. Returns the modem
parameters for the nRF91 GPS modem in a chunk. The chunk size is determined by the request Range header. See HEAD /location/agps (GetFileSize) for details.
Basic Request:
curl -G $API_HOST/v1/location/agps -H "Authorization: Bearer $JWT" -H "Content-Type: application/octet-stream" -H "Range: bytes=0-2200" --output agps.bin
Custom Request:
curl -G "$API_HOST/v1/location/agps" -d "types=8" -d "mcc=244" -d "mnc=91" -d "tac=4099" -d "eci=36078631" -H "Authorization: Bearer $JWT" -H "Content-Type: application/octet-stream" -H "Range: bytes=0-2200" --output agps.bin
Type definitions:
- 1 = GPS UTC
- 2 = GPS Ephemerides
- 3 = GPS Almanac
- 4 = Klobuchar Ionospheric Correction
- 5 = Nequick Ionospheric Correction
- 6 = GPS Time of Week
- 7 = GPS System Clock
- 8 = Location (lat/lon of cell)
- 9 = GPS Integrity
Request
Responses
- 206
- 416
- 422
Contains chunk of file defined by the Range header.
Range Not Satisfiable. The Range header is malformed, uses a unit other than bytes, has more than one range, or lies outside the assistance data.
Unprocessable Entity. A query parameter, header, or the request body is missing or invalid.